<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
TransformHelper
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.transform.TransformHelper class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="TransformHelper";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/TransformHelper.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/transform/TransformHelper.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="TransformHelper.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.transform</FONT>
<BR>
Class TransformHelper</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.transform.TransformHelper</B>
</PRE>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformHelper.html#line.49"><B>TransformHelper</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
The <code>TransformHelper</code> contains static helper methods commonly used 
 by most <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform"><CODE>TransformedPolyhedralCone</CODE></A> implementations.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt; 
<BR>
<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;N,A&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformHelper.html#getOriginalCone(ch.javasoft.polco.PolyhedralCone)">getOriginalCone</A></B>(<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;N,A&gt;&nbsp;polycone)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the original cone, that is, the root in the nesting hierarchy of
 the <code>polycone</code> if it is a <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform"><CODE>TransformedPolyhedralCone</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt; 
<BR>
A[]</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformHelper.html#getTransformationMatrixToOriginal(ch.javasoft.polco.transform.TransformedPolyhedralCone)">getTransformationMatrixToOriginal</A></B>(<A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;N,A&gt;&nbsp;transformedCone)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the transformation matrix used to transform a ray <code>x2</code>
 back to an original ray <code>x</code> of the <code>transformedCone</code>'s 
 <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()"><CODE>original cone</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt; 
<BR>
A</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformHelper.html#transformToOriginal(ch.javasoft.polco.PolyhedralCone, A)">transformToOriginal</A></B>(<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;N,A&gt;&nbsp;polycone,
                                       A&nbsp;transformed)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If the specified cone is a transformed cone, the given vector is 
 back-transformed into a vector of the original cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt; 
<BR>
A</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformHelper.html#transformToOriginal(ch.javasoft.polco.transform.TransformedPolyhedralCone, java.util.concurrent.atomic.AtomicReference, A)">transformToOriginal</A></B>(<A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;N,A&gt;&nbsp;transformedCone,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/concurrent/atomic/AtomicReference.html" title="class or interface in java.util.concurrent.atomic">AtomicReference</A>&lt;A[]&gt;&nbsp;matrixT,
                                       A&nbsp;x2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the back-transformed ray <code>x</code>, that is, 
 <code>x2</code>, a ray of this transformed cone, is transformed back to a 
 ray of the <code>transformedCone</code>'s 
 <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()"><CODE>original cone</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getOriginalCone(ch.javasoft.polco.PolyhedralCone)"><!-- --></A><H3>
getOriginalCone</H3>
<PRE>
public static &lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt; <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;N,A&gt; <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformHelper.html#line.59"><B>getOriginalCone</B></A>(<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;N,A&gt;&nbsp;polycone)</PRE>
<DL>
<DD>Returns the original cone, that is, the root in the nesting hierarchy of
 the <code>polycone</code> if it is a <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform"><CODE>TransformedPolyhedralCone</CODE></A>.
 See also <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()"><CODE>TransformedPolyhedralCone.getOriginalCone()</CODE></A>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>polycone</CODE> - the polyhedral cone, possibly a transformed cone
<DT><B>Returns:</B><DD>the <code>polycone</code>'s original cone</DL>
</DD>
</DL>
<HR>

<A NAME="getTransformationMatrixToOriginal(ch.javasoft.polco.transform.TransformedPolyhedralCone)"><!-- --></A><H3>
getTransformationMatrixToOriginal</H3>
<PRE>
public static &lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt; A[] <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformHelper.html#line.80"><B>getTransformationMatrixToOriginal</B></A>(<A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;N,A&gt;&nbsp;transformedCone)</PRE>
<DL>
<DD>Returns the transformation matrix used to transform a ray <code>x2</code>
 back to an original ray <code>x</code> of the <code>transformedCone</code>'s 
 <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()"><CODE>original cone</CODE></A>.
 The transformation with the returned matrix <code>T</code> is 
 <code>x = T x2</code>.
 <p>
 The matrix to tranform back to the original cone vector is the product of 
 all parent transformation matrices.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the matrix <code>T</code> used for the back-transformation of rays
                        into rays of the <code>transformedCone</code>'s 
                        <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()"><CODE>original cone</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="transformToOriginal(ch.javasoft.polco.transform.TransformedPolyhedralCone,java.util.concurrent.atomic.AtomicReference,java.lang.Object)"><!-- --></A><A NAME="transformToOriginal(ch.javasoft.polco.transform.TransformedPolyhedralCone, java.util.concurrent.atomic.AtomicReference, A)"><!-- --></A><H3>
transformToOriginal</H3>
<PRE>
public static &lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt; A <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformHelper.html#line.110"><B>transformToOriginal</B></A>(<A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;N,A&gt;&nbsp;transformedCone,
                                                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/concurrent/atomic/AtomicReference.html" title="class or interface in java.util.concurrent.atomic">AtomicReference</A>&lt;A[]&gt;&nbsp;matrixT,
                                                         A&nbsp;x2)</PRE>
<DL>
<DD>Returns the back-transformed ray <code>x</code>, that is, 
 <code>x2</code>, a ray of this transformed cone, is transformed back to a 
 ray of the <code>transformedCone</code>'s 
 <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()"><CODE>original cone</CODE></A>.
 <p>
 If <code>matrixT</code> contains no transformation matrix, it is constructed
 and set. For later transformation invocations, it already exists and is 
 thus taken from the atomic reference.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>transformedCone</CODE> - the transformed cone<DD><CODE>matrixT</CODE> - the atomic reference caching the transformation
                                                        matrix T<DD><CODE>x2</CODE> - a ray of the transformed cone
<DT><B>Returns:</B><DD>the ray of the <code>transformedCone</code>'s original cone</DL>
</DD>
</DL>
<HR>

<A NAME="transformToOriginal(ch.javasoft.polco.PolyhedralCone,java.lang.Object)"><!-- --></A><A NAME="transformToOriginal(ch.javasoft.polco.PolyhedralCone, A)"><!-- --></A><H3>
transformToOriginal</H3>
<PRE>
public static &lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt; A <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformHelper.html#line.131"><B>transformToOriginal</B></A>(<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;N,A&gt;&nbsp;polycone,
                                                         A&nbsp;transformed)</PRE>
<DL>
<DD>If the specified cone is a transformed cone, the given vector is 
 back-transformed into a vector of the original cone. If transformed, the
 vector is also normalized according to its number type (e.g. length 1 for
 float types).
 <p>
 A vector of an untransformed cone is returned unchanged.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/TransformHelper.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/transform/TransformHelper.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="TransformHelper.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
